#### Linux From Scratch - Version 11.1-rc1

### Chapter 7. Entering Chroot and Building Additional Temporary Tools

- Prev

  Python-3.10.2

- Next

  Util-linux-2.37.4

- Up
- Home

# 7.12. Texinfo-6.8

The Texinfo package contains programs for reading, writing, and converting info pages.

Approximate build time: 0.2 SBU
Required disk space: 109 MB

## 7.12.1. Installation of Texinfo

First, fix an issue building the package with Glibc-2.34 or later:

    sed -e 's/__attribute_nonnull__/__nonnull/' \
        -i gnulib/lib/malloc/dynarray-skeleton.c

Prepare Texinfo for compilation:

    ./configure --prefix=/usr

Compile the package:

    make

Install the package:

    make install

Details on this package are located in Section 8.67.2, “Contents of Texinfo.”

- Prev

  Python-3.10.2

- Next

  Util-linux-2.37.4

- Up
- Home